""" Stub file for testing the project

There are three predefined ways to run tests:

make test:
    runs only unit tests, that are not marked with "fun" (for functional test)
    in a random order. If a test failed before, only the failed tests will be
    run. This is intended to be the default testing method while developing.

make testall:
    runs unit tests and functional tests in random order. Will give a complete
    overview of the test suite.

make coverage:
    runs only tests marked with "fun" (for functional tests) and generates a
    coverage report for the test run. The idea is to check the test coverage
    only on functinal tests to see if a) everything is as much covered as
    possible and b) to find dead code that is not called in end-to-end tests.

all three test strategies will run "make lint" before to catch easily made
mistakes.
"""


def test_api():
    from conda_helpers import (
        add_exposure_info,  # noqa: F401
        linear_regression,  # noqa: F401
        normalize,  # noqa: F401
        prepare_calibration_data,  # noqa: F401
        select,  # noqa: F401
        split,  # noqa: F401
    )
